Package org.gitana.platform.client.node

# Class AssociationImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.repository.AbstractRepositoryDocumentImpl
org.gitana.platform.client.node.BaseNodeImpl
org.gitana.platform.client.node.AssociationImpl

All Implemented Interfaces:
  `Serializable`, `Attachable`, `Document`, `Association`, `BaseNode`, `PlatformDocument`, `RepositoryDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

Direct Known Subclasses:
  `CreatedAssociationImpl`, `DeletedAssociationImpl`, `LinkedAssociationImpl`, `OwnedAssociationImpl`, `UpdatedAssociationImpl`

public class AssociationImpl extends BaseNodeImpl implements Association

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.node.Association

`FIELD_DIRECTIONALITY, FIELD_SOURCE, FIELD_SOURCE_CHANGESET, FIELD_SOURCE_TYPE, FIELD_TARGET, FIELD_TARGET_CHANGESET, FIELD_TARGET_TYPE, FIELD_TIMESTAMP`

### Fields inherited from interface org.gitana.platform.client.node.BaseNode

`FIELD_FEATURES, FIELD_QNAME, FIELD_TYPE_QNAME, SYSTEM_CHANGESET, SYSTEM_DELETED`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`AssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
Existing node constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`org.gitana.platform.services.association.Directionality`
`getDirectionality()`
`Node`
`getOtherNode(Node node)`
`Changeset`
`getSourceChangeset()`
`String`
`getSourceChangesetId()`
`Node`
`getSourceNode()`
`String`
`getSourceNodeId()`
`org.gitana.platform.support.QName`
`getSourceNodeTypeQName()`
`Changeset`
`getTargetChangeset()`
`String`
`getTargetChangesetId()`
`Node`
`getTargetNode()`
`String`
`getTargetNodeId()`
`org.gitana.platform.support.QName`
`getTargetNodeTypeQName()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getTimestamp()`
`String`
`getTypeId()`
`boolean`
`isOwned()`
`boolean`
`isSourceLoaded()`
`boolean`
`isTargetLoaded()`
`void`
`setDirectionality(org.gitana.platform.services.association.Directionality directionality)`
`void`
`setSourceChangesetId(String sourceChangesetId)`
`void`
`setSourceNode(Node sourceNode)`
`void`
`setSourceNodeId(String nodeId)`
`void`
`setSourceNodeTypeQName(org.gitana.platform.support.QName qname)`
`void`
`setTargetChangesetId(String targetChangesetId)`
`void`
`setTargetNode(Node targetNode)`
`void`
`setTargetNodeId(String targetNodeId)`
`void`
`setTargetNodeTypeQName(org.gitana.platform.support.QName qname)`

### Methods inherited from class org.gitana.platform.client.node.BaseNodeImpl

`addFeature, copy, copyAsync, delete, deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getBranch, getBranchId, getChangeset, getChangesetId, getDownloadUri, getDriver, getFactory, getFeature, getFeatureIds, getQName, getRemote, getRepository, getRepositoryId, getResourceUri, getTypeQName, hasFeature, isDeleted, listAttachments, ref, reload, removeFeature, touch, update, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getPlatform, getPlatformId, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.node.BaseNode

`addFeature, getBranch, getBranchId, getChangeset, getChangesetId, getFeature, getFeatureIds, getQName, getRepository, getRepositoryId, getTypeQName, hasFeature, isDeleted, removeFeature, touch`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### AssociationImpl

public AssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)
Existing node constructor.

Parameters:
  `branch` -
  `obj` -
  `isSaved` -

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### isOwned

public boolean isOwned()

Specified by:
  `isOwned` in interface `Association`

### getSourceNodeTypeQName

public org.gitana.platform.support.QName getSourceNodeTypeQName()

Specified by:
  `getSourceNodeTypeQName` in interface `Association`

### setSourceNodeTypeQName

public void setSourceNodeTypeQName(org.gitana.platform.support.QName qname)

Specified by:
  `setSourceNodeTypeQName` in interface `Association`

### getSourceNodeId

public String getSourceNodeId()

Specified by:
  `getSourceNodeId` in interface `Association`

### setSourceNodeId

public void setSourceNodeId(String nodeId)

Specified by:
  `setSourceNodeId` in interface `Association`

### getSourceChangesetId

public String getSourceChangesetId()

Specified by:
  `getSourceChangesetId` in interface `Association`

### setSourceChangesetId

public void setSourceChangesetId(String sourceChangesetId)

Specified by:
  `setSourceChangesetId` in interface `Association`

### getTargetNodeTypeQName

public org.gitana.platform.support.QName getTargetNodeTypeQName()

Specified by:
  `getTargetNodeTypeQName` in interface `Association`

### setTargetNodeTypeQName

public void setTargetNodeTypeQName(org.gitana.platform.support.QName qname)

Specified by:
  `setTargetNodeTypeQName` in interface `Association`

### getTargetNodeId

public String getTargetNodeId()

Specified by:
  `getTargetNodeId` in interface `Association`

### setTargetNodeId

public void setTargetNodeId(String targetNodeId)

Specified by:
  `setTargetNodeId` in interface `Association`

### getTargetChangesetId

public String getTargetChangesetId()

Specified by:
  `getTargetChangesetId` in interface `Association`

### setTargetChangesetId

public void setTargetChangesetId(String targetChangesetId)

Specified by:
  `setTargetChangesetId` in interface `Association`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `BaseNodeImpl`

### getSourceNode

public Node getSourceNode()

Specified by:
  `getSourceNode` in interface `Association`

### getSourceChangeset

public Changeset getSourceChangeset()

Specified by:
  `getSourceChangeset` in interface `Association`

### getTargetNode

public Node getTargetNode()

Specified by:
  `getTargetNode` in interface `Association`

### getTargetChangeset

public Changeset getTargetChangeset()

Specified by:
  `getTargetChangeset` in interface `Association`

### setSourceNode

public void setSourceNode(Node sourceNode)

Specified by:
  `setSourceNode` in interface `Association`

### setTargetNode

public void setTargetNode(Node targetNode)

Specified by:
  `setTargetNode` in interface `Association`

### getOtherNode

public Node getOtherNode(Node node)

Specified by:
  `getOtherNode` in interface `Association`

### isSourceLoaded

public boolean isSourceLoaded()

Specified by:
  `isSourceLoaded` in interface `Association`

### isTargetLoaded

public boolean isTargetLoaded()

Specified by:
  `isTargetLoaded` in interface `Association`

### getTimestamp

public com.fasterxml.jackson.databind.node.ObjectNode getTimestamp()

Specified by:
  `getTimestamp` in interface `Association`
Returns:
  timestamp

### getDirectionality

public org.gitana.platform.services.association.Directionality getDirectionality()

Specified by:
  `getDirectionality` in interface `Association`

### setDirectionality

public void setDirectionality(org.gitana.platform.services.association.Directionality directionality)

Specified by:
  `setDirectionality` in interface `Association`